org.apache.ignite.spi.loadbalancing.adaptive

## Interface AdaptiveLoadBalancingSpiMBean

All Superinterfaces:
  IgniteSpiManagementMBean

    @MXBeanDescription(value="MBean that provides access to adaptive load balancing SPI configuration.")
    public interface AdaptiveLoadBalancingSpiMBean
    extends IgniteSpiManagementMBean

Management MBean for `AdaptiveLoadBalancingSpi` SPI.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getLoadProbeFormatted()` Gets text description of current load probing implementation used.

### Methods inherited from interface org.apache.ignite.spi.IgniteSpiManagementMBean

`getIgniteHome, getLocalNodeId, getName, getStartTimestamp, getStartTimestampFormatted, getUpTime, getUpTimeFormatted`

### Method Detail

#### getLoadProbeFormatted

    @MXBeanDescription(value="Text description of current load probing implementation used.")
    String getLoadProbeFormatted()

Gets text description of current load probing implementation used.

Returns:
  Text description of current load probing implementation used.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018